{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

{% import '_includes/macros.html.twig' as appMacros %}

<div class="box box-default">
    <div class="box-header with-border">
        <h3 class="box-title">Flux en production</h3>
        <div class="box-tools pull-right">
            <a href="{{ path('flux.production') }}" class="btn btn-box-tool"><i class="fa fa-mail-forward"></i> Tous les flux en production</a>
        </div>
    </div>

    {% if flows is defined and flows | length > 0 %}
        <!-- /.box-header -->
        <div class="box-body p-0">
            <div class="table-responsive">
                <table class="table table-hover no-margin">
                    <thead>
                    <tr>
                        <th>Flux</th>
                        <th>Dernier traitement</th>
                        <th>Statut</th>
                        <th>Taux de publication</th>
                    </tr>
                    </thead>
                    <tbody>
                        {% for flux in flows %}
                            <tr>
                                <td><a href="{{ path('flux.detail', {id: flux.id}) }}">{{ flux.name }}</a></td>
                                <td>
                                    <span data-tooltip='{"side":"right"}' title="{{ flux.lastActiveProcess.createdAt | localizeddate }}">
                                        {{ (flux.lastActiveProcess.createdAt | moment).calendar() | capitalize }}
                                    </span>
                                </td>
                                <td>
                                    {{ appMacros.flux_status_frame(flux.statusInfos.status, flux.statusInfos.label, flux.statusInfos.description) }}
                                    {% if flux.lastActiveProcess.anomalies | length > 0 and flux.status != constant('AppBundle\\Entity\\Process::STATUS_ERROR') %}
                                        <a href="#"><span class="text-orange pull-right _tooltip" data-tooltip='{"side":"left"}' title="Le flux a rencontré des erreurs non bloquantes pouvant empêcher la mise à jour de certains POI."><span class="fa fa-warning"></span></span></a>
                                    {% endif %}
                                </td>
                                <td class="text-right">
                                    {{ appMacros.progress_bar(flux.lastActiveProcess) }}
                                </td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
            </div>
            <!-- /.table-responsive -->
        </div>
        <!-- /.box-footer -->
    {% else %}
        <div class="box-body">
            <div class="text-muted-light">Aucun flux en production</div>
        </div>
    {% endif %}
</div>


